> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.doctorassistant.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Mandar chunk de audio

> Envía un chunk de audio de la consulta. Los chunks deben ser enviados en orden secuencial usando el parámetro chunkIndex.



## OpenAPI

````yaml docs/es/openapi.yaml post /consultations/v2/{DAAI_CONSULTATION_ID}/recordings/{DAAI_RECORDING_ID}/chunks
openapi: 3.1.0
info:
  title: DAAI - APIS
  version: 1.0.0
servers:
  - url: https://apim.doctorassistant.ai/api/sandbox
security:
  - ApiKeyAuth: []
tags:
  - name: Consultations
  - name: Exams
  - name: Summaries
paths:
  /consultations/v2/{DAAI_CONSULTATION_ID}/recordings/{DAAI_RECORDING_ID}/chunks:
    post:
      tags:
        - Consultations
      summary: Mandar chunk de audio
      description: >-
        Envía un chunk de audio de la consulta. Los chunks deben ser enviados en
        orden secuencial usando el parámetro chunkIndex.
      parameters:
        - name: DAAI_CONSULTATION_ID
          in: path
          schema:
            type: string
          required: true
        - name: DAAI_RECORDING_ID
          in: path
          schema:
            type: string
          required: true
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                recording:
                  type: string
                  format: binary
                duration:
                  type: integer
                  example: '270'
                chunkIndex:
                  type: integer
                  example: '0'
      responses:
        '201':
          description: Chunk enviado con éxito
        '400':
          description: Solicitud inválida
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Mensaje de error
                    example: Recording is required
                  error:
                    type: string
                    description: Tipo del error
                    example: Bad Request
                  statusCode:
                    type: integer
                    description: Código del status HTTP
                    example: 400
                required:
                  - message
                  - error
                  - statusCode
        '401':
          description: Não autorizado
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Unauthorized
                  statusCode:
                    type: integer
                    example: 401
                required:
                  - message
                  - statusCode
        '404':
          description: Consulta no encontrada
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Mensaje de error
                    example: Consultation not found
                  error:
                    type: string
                    description: Tipo del error
                    example: Not Found
                  statusCode:
                    type: integer
                    description: Código del status HTTP
                    example: 404
                required:
                  - message
                  - error
                  - statusCode
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-daai-api-key
      description: Clave de API para autenticación

````